---
title: Web Console
slug: Tools/Web_Console
tags:
  - Debugging
  - Guide
  - Security
  - Tools
  - Web Development
  - 'Web Development:Tools'
  - 'l10n:priority'
  - web console
---
<div>{{ToolsSidebar}}</div>

<p><strong>The Web Console:</strong></p>

<ol>
 <li>Logs information associated with a web page: network requests, JavaScript, CSS, security errors and warnings as well as error, warning and informational messages explicitly logged by JavaScript code running in the page context</li>
 <li>Enables you to interact with a web page by executing JavaScript expressions in the context of the page</li>
</ol>

<p>{{EmbedYouTube("C6Cyrpkb25k")}}</p>

<div class="column-container">
<div class="column-half">
<dl>
 <dt><a href="/en-US/docs/Tools/Web_Console/Opening_the_Web_Console">User interface of the Web Console</a></dt>
 <dd>Parts of the Web Console UI.</dd>
 <dt><a href="/en-US/docs/Tools/Web_Console/The_command_line_interpreter">The JavaScript input interpreter</a></dt>
 <dd>How to interact with a document using the Console.</dd>
 <dt><a href="/en-US/docs/Tools/Web_Console/Split_console">Split console</a></dt>
 <dd>Use the Console alongside other tools.</dd>
</dl>
</div>

<div class="column-half">
<dl>
 <dt><a href="/en-US/docs/Tools/Web_Console/Console_messages">Console messages</a></dt>
 <dd>Details of the messages that the Console logs.</dd>
 <dt><a href="/en-US/docs/Tools/Web_Console/Helpers">Helper commands</a></dt>
 <dd>Commands you can use that are not part of JavaScript.</dd>
 <dt><a href="/en-US/docs/Tools/Web_Console/Rich_output">Rich output</a></dt>
 <dd>See and interact with objects logged by the Console.</dd>
 <dt><a href="/en-US/docs/Tools/Web_Console/Keyboard_shortcuts">Keyboard shortcuts</a></dt>
 <dd>Shortcut reference.</dd>
</dl>
</div>
</div>

<h2 id="Opening_the_Web_Console">Opening the Web Console</h2>

<p>You open the Web Console from a menu or with a keyboard shortcut:</p>

<ul>
 <li>Choose <strong>Web Console</strong> from the <strong>Web Developer</strong> submenu in the <strong>Firefox Menu</strong> (or <strong>Tools</strong> menu if you display the menu bar or are on Mac OS X)</li>
 <li>Press the <kbd>Ctrl</kbd>+<kbd>Shift</kbd>+<kbd>K</kbd> (<kbd>Command</kbd>+<kbd>Option</kbd>+<kbd>K</kbd> on OS X) keyboard shortcut.</li>
</ul>

<p>The <a href="/en-US/docs/Tools/DevTools_Window">Toolbox</a> appear at the bottom, left, or right of the browser window (depending on your docking settings), with the Web Console activated (it's just called <strong>Console</strong> in the <a href="/en-US/docs/Tools/DevTools_Window#Toolbar">DevTools toolbar</a>).</p>
